version 11.0
log using "C:\matt\working_papers\religion\social\replication\data_analysis\aggregate\aggregate_figure.log", replace
#delimit ;

*     ***************************************************************** *;
*     ***************************************************************** *;
*       File-Name:      aggregate_figure.do                             *;
*       Date:           February 5, 2013                                *;
*       Author:         MRG                                             *;
*       Purpose:      	Take aggregate_religious_participation.dta and  *;
*                       and produce Figure 1.                           *;
* 	    Input File:     aggregate_religious_participation.dta           *;
*       Output File:    aggregate_figure.log                            *;
*       Data Output:    none                                            *;             
*       Previous file:  aggregate_religious_participation.dta           *;
*       Machine:        office computer                 				*;
*     ****************************************************************  *;
*     ****************************************************************  *;

set mem 400m;

use "C:\matt\working_papers\religion\social\replication\data_analysis\aggregate\aggregate_religious_participation.dta", clear;

set more off;

sum;

desc;

*     ****************************************************************  *;
*       Produce Figure 1: Religious participation vs HDI.               *;
*     ****************************************************************  *;

gen name = "";

sort country year;
replace name = "China 1990" in 35;
replace name = "China 1995" in 36;
replace name = "China 2001" in 37;
replace name = "Russia 1990" in 144;
replace name = "Russia 1995" in 145;
replace name = "Russia 1999" in 146;
replace name = "India 1990" in 78;
replace name = "India 1995" in 79;
replace name = "India 2001" in 80;
replace name = "Nigeria 1995" in 118;
replace name = "Nigeria 2000" in 119;
replace name = "Tanzania 2001" in 173;
replace name = "Zimbabwe 2001" in 188;
replace name = "Morocco 2001" in 112;
replace name = "Malta 1983" in 106;
replace name = "Malta 1991" in 107;
replace name = "Pakistan 1997" in 123;
replace name = "Pakistan 2001" in 124;
replace name = "Ireland 1990" in 85;
replace name = "Ireland 1999" in 86;
replace name = "Poland 1989" in 129;
replace name = "Poland 1990" in 130;
replace name = "Poland 1999" in 132;
replace name = "Egypt 2000" in 50;
replace name = "Iran 2000" in 82;
replace name = "Philippines 1996" in 127;
replace name = "Philippines 2001" in 128;
replace name = "US 1999" in 183;
replace name = "France 1999" in 60;
replace name = "Sweden 1996" in 168;
replace name = "Bangladesh 1996" in 14;
replace name = "Bangladesh 2002" in 15;
replace name = "S. Africa 1990" in 158;
replace name = "S. Africa 1996" in 159;
replace name = "S. Africa 2001" in 160;
replace name = "Bulgaria 1997" in 27;
replace name = "Bulgaria 1999" in 28;
replace name = "Uganda 2001" in 177;
replace name = "Indonesia 2001" in 81;
replace name = "Moldova 1996" in 139;
replace name = "Moldova 2002" in 140;
replace name = "Estonia 1990" in 52;
replace name = "Estonia 1996" in 53;
replace name = "Belarus 1990" in 16;
replace name = "Ukraine 1996" in 178;
replace name = "Ukraine 1999" in 179;
replace name = "Japan 2000" in 94;
replace name = "Jordan 2001" in 95;
replace name = "Albania 1998" in 1;
replace name = "Argentina 1984" in 4;
replace name = "Argentina 1999" in 7;
replace name = "Armenia 1997" in 8;
replace name = "Austria 1999" in 12;
replace name = "Azerbaijan 1997" in 13;
replace name = "Belgium 1999" in 21;
replace name = "Kyrgyzstan 2003" in 96;
replace name = "Vietnam 2001" in 187;
replace name = "Canada 2000" in 31;
replace name = "Colombia 1998" in 39;
replace name = "Croatia 1996" in 40;
replace name = "Czech 1990" in 42;
replace name = "Dominican Republic 1996" in 49;
replace name = "El Salvador 1999" in 51;
replace name = "Germany 1990" in 62;
replace name = "UK 1981" in 66;
replace name = "Hungary 1998" in 73;
replace name = "Hungary 1999" in 74;
replace name = "Iraq 2004" in 83;
replace name = "Israel 2001" in 87;
replace name = "Italy 1999" in 90;
replace name = "Latvia 1999" in 99;
replace name = "Lithuania 1990" in 100;
replace name = "Mexico 2000" in 111;
replace name = "Portugal 1999" in 134;
replace name = "Korea 1990" in 136;
replace name = "Serbia 1996" in 148;
replace name = "Serbia 2001" in 149;
replace name = "Slovakia 1991" in 152;
replace name = "Spain 1981" in 161;
replace name = "Switzerland 1996" in 171;
replace name = "Taiwan 1994" in 172;
replace name = "Turkey 1990" in 174;
replace name = "Nigeria 1990" in 117;
replace name = "Singapore 2002" in 150;
replace name = "Mexico 1996" in 110;
replace name = "Finland 2000" in 57;
replace name = "US 1995" in 182;
replace name = "Norway 1996" in 122;
replace name = "UK 1999" in 69;
replace name = "Netherlands 1990" in 114;
replace name = "Ireland 1981" in 84;
replace name = "Sweden 1990" in 167;

gen pos=3;
replace pos=12 if name=="Nigeria 2000";
replace pos=6 if name=="Uganda 2001";
replace pos=9 if name=="Bangladesh 2002";
replace pos=12 if name=="S. Africa 2001";
replace pos=12 if name=="Indonesia 2001";
replace pos=9 if name=="Iran 2000";
replace pos=9 if name=="Morocco 2001";
replace pos=9 if name=="India 1990";
replace pos=9 if name=="Moldova 2002";
replace pos=9 if name=="Moldova 1996";
replace pos=9 if name=="India 2001";
replace pos=9 if name=="Russia 1995";
replace pos=9 if name=="Russia 1999";
replace pos=9 if name=="Belarus 1990";
replace pos=9 if name=="Estonia 1996";
replace pos=9 if name=="Vietnam 2001";
replace pos=9 if name=="Kyrgyzstan 2003";
replace pos=9 if name=="Ukraine 1999";
replace pos=9 if name=="Ukraine 1996";
replace pos=6 if name=="Czech 1990";
replace pos=8 if name=="Jordan 2001";
replace pos=9 if name=="El Salvador 1999";
replace pos=9 if name=="Algeria 2002";
replace pos=9 if name=="Azerbaijan 1997";
replace pos=9 if name=="Hungary 1998";
replace pos=9 if name=="Germany 1990";
replace pos=6 if name=="UK 1981";
replace pos=9 if name=="Dominican Republic 1996";
replace pos=6 if name=="Colombia 1998";
replace pos=7 if name=="Nigeria 1990";
replace pos=12 if name=="Singapore 2002";
replace pos=2 if name=="US 1999";
replace pos=9 if name=="Spain 1981";
replace pos=2 if name=="Norway 1996";
replace pos=4 if name=="US 1995";
replace pos=10 if name=="Ireland 1981";
replace pos=6 if name=="Sweden 1990";

graph twoway lowess attend_religious_services hdi, lwidth(vthin) color(black)
    ||  scatter attend_religious_services hdi, 
        mlabel(name) mlabcolor(black) mlabv(pos) mlabsize(2) msymbol(circle) mcolor(black) msize(0.8) 
        legend(off) ylabel(1 (1) 8,nogrid) xlabel(0.4 (0.1) 1)  xtitle("") scheme(s1color);

*     ****************************************************************  *;
*       Check that negative relationship is not the result of the few   *;
*       observations that have low HDI and high religious participation.*;
*     ****************************************************************  *;

regress attend_religious_services hdi;
regress attend_religious_services hdi if hdi>0.5;
regress attend_religious_services hdi if hdi>0.6;
regress attend_religious_services hdi if hdi>0.7;
regress attend_religious_services hdi if hdi>0.8;
regress attend_religious_services hdi if hdi>0.9;

regress attend_religious_services lhdi;
regress attend_religious_services lhdi if hdi>0.5;
regress attend_religious_services lhdi if hdi>0.6;
regress attend_religious_services lhdi if hdi>0.7;
regress attend_religious_services lhdi if hdi>0.8;
regress attend_religious_services lhdi if hdi>0.9;

*     ****************************************************************  *;
*       Coefficients are always negative.  They are also statistically  *;
*       significant in all cases except when we limit our observations  *;
*       to those with an HDI score greater than 0.9.  This is not       *;
*       surprising given the small sample size and limited variation in *;
*       our independent variable at this stage.                         *;
*     ****************************************************************  *;
 
log close;

*     ****************************************************************  *;
*       The End                                                         *;
*     ****************************************************************  *;



